<?php
include(LWOO_PATH.'/lwoo-options.php');
function lwoo_load_script(){
	wp_enqueue_style('lwoo-style',LWOO_URI .'lwoo-style.css');
}

add_action( 'wp_enqueue_scripts', 'lwoo_load_script' );

add_action('woocommerce_single_product_summary','lwoo_button',35);
function lwoo_button(){
	global $product;
	$options = get_option('lwoo_settings');

	$text = 'Hubungi via Whatsapp';
	$link = ''; 

	if(isset($options['lwoo_link_text'])){
		if(!empty($options['lwoo_link_text'])){
			$text = $options['lwoo_link_text']; 
		}
	}

	if(isset($options['lwoo_link'])){
		if(!empty($options['lwoo_link'])){
			$link = $options['lwoo_link']; 
		}
	}

	$name = $product->get_title();
	$currency = get_woocommerce_currency_symbol();
	$price = $product->get_price();
	$regular_price = $product->get_regular_price();
	$sale_price = $product->get_sale_price();
	$url = $product->get_permalink();
	$button = '<a href="'.$link.'?produk='.$name.'&harga='.$price.'&harga_diskon='.$sale_price.'&harga_normal='.$regular_price.'&url='.$url.'" class="lwoo-button" target="_blank">'.$text.'</a>';

	if($link != ''){
		echo $button;
	}
}

function remove_loop_button(){
	$options = get_option('lwoo_settings');

	if($options['lwoo_add_to_cart_disable']){
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
	}
}
add_action('init','remove_loop_button');