<?php
/*
Plugin Name: Loops - Woocommerce button
Plugin URI: https://loops.id
Description: Plugin integrasi loops.id dengan Woocommerce
Author: Babaturan
Version: 1
Author URI: https://loops.id
*/


/* Do not access this file directly */
if ( ! defined( 'WPINC' ) ) { die; }

/* plugin directory's constant */
define( 'LWOO_PATH', trailingslashit( plugin_dir_path(__FILE__) ) );

/* plugin directory URI's constant */
define( 'LWOO_URI', trailingslashit( plugin_dir_url( __FILE__ ) ) );

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if( ! is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
  add_action( 'admin_notices', 'lwoo_admin_notice' );
}else{
	require_once( LWOO_PATH . 'lwoo-functions.php' );
}

function lwoo_admin_notice() {
    ?>
    <div class="notice error my-acf-notice is-dismissible" >
        <p><?php _e( 'Silahkan mengaktifkan/upgrade plugin woocommerce', 'babaturan-text' ); ?></p>
    </div>
    <?php
}
